load("rounding_exact.sage")


def perform_simple_rounding(vertices, objective_scale,name="c"):
    p=FAProblem("SDP_n"+str(vertices)+"_LB_F_edges2blind__objective_"+name+".txt.dat-s",objective_scale)

    # Zero vectors come from random graph, so they are [1,1,1,1,1]
    zero_vectors=[]

    for x in p.solnMatrix:
        dx,dy = x.dimensions()
        if dx > 1:
            zero_vectors.append([[1]*dx])
        else:
            zero_vectors.append([])

    np = p.change_base(zero_vectors)
    write_problem_file("altered_"+name+".dat-s",np)

    solve_using_csdp("altered_"+name+".dat-s")

    pa=FAProblem("altered_"+name+".dat-s")

    pa.perform_rounding(objective_scale*100)
    write_rounded_solution_to_file(pa)
    #check_rounded_solution("altered_"+name+".dat-s", objective_scale*100)
