#!/bin/bash
# Here we are trying to prove
# m_{H+} >= m_H / 2^v(H)
# m_{H+} - m_H / 2^v(H) >= 0
# 2^v(H) m_{H+} - m_H >= 0
#
#

################### These variables must be set....
# NAME="32-"
# V_H="5"
# H="5 0  0 2 2 2   2 2 0  0 0   0"
# H_A="6 0  0 2 2 2 2   2 2 0 2   0 0 2   0 2  2"

OBJECTIVE="F_edges2blind__objective_${NAME}.txt"
FILE_APEX="${NAME}a.txt"
FILE_NAME="${NAME}.txt"
FLAG_N=`echo "${V_H}+1" | bc`

# The below automatically multuplies by |V(H+)|!
SCALE_A=`echo "scale=10; 2^(${V_H})" | bc`
./a.out -ec "${H_A}"   | ./a.out -fc_CtimesF "$SCALE_A" cin > "${OBJECTIVE}"

# Here we multiply by |V(H)|+1, since the line below below mulitplies by |V(H)|!
SCALE=`echo "scale=10; -(${V_H}+1)" | bc`
./a.out -ec "${H}"  | ./a.out -fc_CtimesF "$SCALE" cin >> "${OBJECTIVE}"

# Here we add 100 to make sure the result is > 0
# this is techincal for flag algebras
echo "100 1 0" >>  "${OBJECTIVE}"

echo "# Constraint m(C_4) >= 2/16
# this is used for stability
0 -180
480     4 0   2 1 2  2 1  2
480     4 0   2 1 2  2 2  2
1440     4 0   2 2 2  2 2  2
" >>  "${OBJECTIVE}"

./a.out -n "${FLAG_N}" -lb -obj "${OBJECTIVE}"


# Rounding
sage -c "load('round_simple.sage');  perform_simple_rounding(${FLAG_N}, 1, '${NAME}')"  | tee "${OBJECTIVE}".rounding.log

 sage -c "load('altered_${NAME}.dat-s.linear_solution.sage'); print('C_4 equation used as',solutionLinear[-1])"


